const targetUrls = [
    "https://open.qcbt.com",
    "https://open.communitybt.bank",
    "https://open.crbt.bank",
    "https://open.gbankmo.com",
    "https://open.bankcsb.com"
];

function pass_utm( target_url ) {
    // Get the current URL
    var currentUrl = new URL(window.location.href);

    // Get UTM parameters
    var utmSource = currentUrl.searchParams.get("utm_source");
    var utmMedium = currentUrl.searchParams.get("utm_medium");
    var utmCampaign = currentUrl.searchParams.get("utm_campaign");

    // Create a new URL object
    var newUrl = new URL(target_url);

    // Get the search parameters of the new URL
    var params = newUrl.searchParams;

    // Append UTM parameters to the new URL
    if (utmSource) params.set("utm_source", utmSource);
    if (utmMedium) params.set("utm_medium", utmMedium);
    if (utmCampaign) params.set("utm_campaign", utmCampaign);

    // Set the search parameters of the new URL
    newUrl.search = params.toString();

    return newUrl.toString();
}

document.addEventListener('DOMContentLoaded', function() {
    // Wait for potential accordions, etc
    setTimeout(() => {
        document.querySelectorAll('.external-link-warning').forEach(function(element) {
            var targetUrl = element.getAttribute('data-url');
            if (!targetUrl) {
                return;
            }
            var isMatchingUrl = targetUrls.some(url => targetUrl.startsWith(url));
            if (isMatchingUrl) {
                element.setAttribute('data-url', pass_utm(targetUrl));
            }
        });
    }, 1000);
});